Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1185)
@@ -914,5 +914,4 @@
   // VPS EXTENSION 2 SYNTAX ELEMENTS
 #if H_3D
-#if HHI_CAM_PARA_K0052  
   Int*        m_numCp;  
   Int**       m_cpRefVoi;
@@ -920,19 +919,10 @@
   Int         m_cpPrecision;
   Bool*       m_cpInSliceSegmentHeaderFlag;
-#else
-  UInt        m_uiCamParPrecision;
-  Bool*       m_bCamParInSliceHeader;
-  Bool*       m_bCamParPresent;
-#endif
   Int         ***m_aaaiCodedScale ;
   Int         ***m_aaaiCodedOffset;
 
-#if HHI_VIEW_ID_LIST_I5_J0107 ||  HHI_INTER_COMP_PRED_K0052
   std::vector<Int>  m_viewOIdxList;
-#endif
-#if HHI_INTER_COMP_PRED_K0052
   std::vector< std::vector<Bool> > m_viewCompLayerPresentFlag;
   std::vector< std::vector<Int>  > m_viewCompLayerId;
-#endif
 #endif
 
@@ -1163,5 +1153,4 @@
   Int     getNumViews()                                                    { return m_numViews; }
   Void    initNumViews();
-#if HHI_INTER_COMP_PRED_K0052
 #if H_3D
   Void   initViewCompLayer( )
@@ -1191,20 +1180,10 @@
     }
   };
-#endif
-#endif
-
-#if HHI_VIEW_ID_LIST_I5_J0107 || HHI_INTER_COMP_PRED_K0052
+
+
   Int     getViewOIdxList( Int i )                                         { return m_viewOIdxList[i]; }
-#if HHI_CAM_PARA_K0052
   std::vector<Int> getViewOIdxList( )                                               { return m_viewOIdxList; }
-#endif
-#endif
-
-#if HHI_INTER_COMP_PRED_K0052
-#if HHI_CAM_PARA_K0052
+
   Int     getVoiInVps( Int viewOIdx )                                      
-#else
-  Int     getInvViewOIdxList( Int viewOIdx )                                      
-#endif
   {    
     for ( Int i = 0; i < m_viewOIdxList.size(); i++ )
@@ -1219,11 +1198,6 @@
   };
 
-#if HHI_CAM_PARA_K0052
   Bool    getViewCompLayerPresentFlag (Int i, Bool d ) { return  m_viewCompLayerPresentFlag[ getVoiInVps(i) ][d]; }
   Bool    getViewCompLayerId          (Int i, Bool d ) { return  m_viewCompLayerId         [ getVoiInVps(i) ][d]; }
-#else
-  Bool    getViewCompLayerPresentFlag (Int i, Bool d ) { return  m_viewCompLayerPresentFlag[ getInvViewOIdxList(i) ][d]; }
-  Bool    getViewCompLayerId          (Int i, Bool d ) { return  m_viewCompLayerId         [ getInvViewOIdxList(i) ][d]; }
-#endif
 #endif
   Bool    getDependencyFlag( Int i, Int j )                                { return m_dependencyFlag[i][j]; }
@@ -1347,11 +1321,6 @@
   Void createCamPars(Int iNumViews);
   Void deleteCamPars();
-#if HHI_CAM_PARA_K0052
   Void initCamParaVPS( Int vOIdxInVps, Int numCp, Bool cpInSliceSegmentHeaderFlag, Int* cpRefVoi, Int** aaiScale, Int** aaiOffset ); 
-#else
-  Void initCamParaVPS      (  UInt uiViewIndex, Bool bCamParPresent = false, UInt uiCamParPrecision = 0, Bool bCamParSlice = false, Int** aaiScale = 0, Int** aaiOffset = 0 );
-#endif
-  
-#if HHI_CAM_PARA_K0052
+  
 
   Void setCpPrecision( Int  val ) { m_cpPrecision = val; } 
@@ -1403,12 +1372,4 @@
   Bool getCpPresentFlag( Int i, Int m )           { return m_cpPresentFlag[i][m]; }   
 
-#else
-  UInt getCamParPrecision    ()  { return m_uiCamParPrecision; }
-
-  Bool getCamParPresent      ( Int viewIndex )  { return m_bCamParPresent[viewIndex]; }
-  Void setCamParPresent      ( Int viewIndex, Bool val )  { m_bCamParPresent[viewIndex] = val; }
-  Bool hasCamParInSliceHeader( Int viewIndex )  { return m_bCamParInSliceHeader[viewIndex]; }
-  Void setHasCamParInSliceHeader( Int viewIndex, Bool b )  { m_bCamParInSliceHeader[viewIndex] = b; }
-#endif
 
 
@@ -1705,9 +1666,5 @@
       m_qtPredFlag            [d] = false; 
       m_interSdcFlag          [d] = false; 
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
       m_depthIntraSkipFlag    [d] = false;   
-#else
-      m_intraSingleFlag       [d] = false; 
-#endif
     }
   }
@@ -1752,11 +1709,6 @@
   Bool getInterSdcFlag( Int d ) { return m_interSdcFlag[d]; } 
 
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   Void setDepthIntraSkipFlag( Int d, Bool flag ) { m_depthIntraSkipFlag[d] = flag; } 
   Bool getDepthIntraSkipFlag( Int d ) { return m_depthIntraSkipFlag[d]; } 
-#else
-  Void setIntraSingleFlag( Int d, Bool flag ) { m_intraSingleFlag[d] = flag; } 
-  Bool getIntraSingleFlag( Int d ) { return m_intraSingleFlag[d]; } 
-#endif
 
 private:
@@ -1775,9 +1727,5 @@
   Bool        m_qtPredFlag            [2];
   Bool        m_interSdcFlag          [2];
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   Bool        m_depthIntraSkipFlag    [2];  
-#else
-  Bool        m_intraSingleFlag       [2];  
-#endif
 };
 
@@ -1884,8 +1832,4 @@
 #if H_3D
   TComSps3dExtension m_sps3dExtension; 
-#if !HHI_CAM_PARA_K0052
-  UInt        m_uiCamParPrecision;
-  Bool        m_bCamParInSliceHeader;
-#endif
   Int         m_aaiCodedScale [2][MAX_NUM_LAYERS];
   Int         m_aaiCodedOffset[2][MAX_NUM_LAYERS];
@@ -2517,7 +2461,5 @@
   UInt                 m_nARPStepNum; 
   Int         m_aiFirstTRefIdx    [2]; 
-#if HHI_RES_PRED_K0052
   std::vector<Int> m_pocsInCurrRPSs; 
-#endif
 #endif
 #if H_3D_IC
@@ -2526,13 +2468,9 @@
 #endif
 #if H_3D
-#if HHI_INTER_COMP_PRED_K0052
   std::vector<Int> m_inCmpRefViewIdcs;
   Bool       m_inCmpPredAvailFlag; 
   Bool       m_inCmpPredFlag; 
-#endif
-#if HHI_CAM_PARA_K0052
   Bool       m_cpAvailableFlag; 
   Int        m_numViews; 
-#endif
   TComPic*   m_ivPicsCurrPoc [2][MAX_NUM_LAYERS];  
   Int**      m_depthToDisparityB; 
@@ -2540,11 +2478,5 @@
 #endif
 #endif
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   Bool      m_bApplyDIS;
-#else
-#if H_3D_SINGLE_DEPTH
-  Bool      m_bApplySingleDepthMode;
-#endif
-#endif
 #if H_3D_IC
   Int *m_aICEnableCandidate;
@@ -2565,9 +2497,5 @@
   Bool m_qtPredFlag           ;
   Bool m_interSdcFlag         ;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   Bool m_depthIntraSkipFlag   ;
-#else
-  Bool m_intraSingleFlag      ;
-#endif
   Int  m_mpiSubPbSize         ; 
   Int  m_subPbSize            ; 
@@ -2637,14 +2565,10 @@
   Int       getRefPOC           ( RefPicList e, Int iRefIdx)    { return  m_aiRefPOCList[e][iRefIdx];   }
 #if H_3D
-#if HHI_INTER_COMP_PRED_K0052
   Bool      getInCmpPredAvailFlag( )                             { return m_inCmpPredAvailFlag;    } 
-#if HHI_CAM_PARA_K0052
   Bool      getCpAvailableFlag( )                             { return m_cpAvailableFlag;    } 
-#endif
   Bool      getInCompPredFlag( )                                 { return m_inCmpPredFlag;         }    
   Void      setInCompPredFlag( Bool b )                          { m_inCmpPredFlag = b;            }    
   Int       getInCmpRefViewIdcs( Int i )                         { return m_inCmpRefViewIdcs  [i]; }
   Int       getNumCurCmpLIds( )                                  { return (Int) m_inCmpRefViewIdcs.size(); } 
-#endif
   TComPic*  getIvPic            ( Bool depthFlag, Int viewIndex){ return  m_ivPicsCurrPoc[ depthFlag ? 1 : 0 ][ viewIndex ]; }
 #endif
@@ -2875,7 +2799,5 @@
   Void      setFirstTRefIdx        ( RefPicList e, Int i )         { m_aiFirstTRefIdx[e]    = i;      }
   Bool      getArpRefPicAvailable( RefPicList e, Int viewIdx) {return m_arpRefPicAvailable[e][getVPS()->getLayerIdInNuh(viewIdx, 0)]; }
-#if HHI_RES_PRED_K0052
   std::vector<Int> getPocsInCurrRPSs()                             { return m_pocsInCurrRPSs; }; 
-#endif
 #endif
   Void      setIsDepth            ( Bool isDepth )   { m_isDepth = isDepth; }
@@ -2886,5 +2808,4 @@
   Int*      getInvCodedScale      ()  { return m_aaiCodedScale [1]; }
   Int*      getInvCodedOffset     ()  { return m_aaiCodedOffset[1]; }
-#if HHI_CAM_PARA_K0052
   Void      setCpScale( Int j, Int  val ) { m_aaiCodedScale[0][j] = val; } 
   Int       getCpScale( Int j ) { return m_aaiCodedScale[0][j]; } 
@@ -2898,5 +2819,4 @@
   Void      setCpInvOff( Int j, Int  val ) { m_aaiCodedOffset[1][j] = val; } 
   Int       getCpInvOff( Int j ) { return m_aaiCodedOffset[1][j]; } 
-#endif
 
 #endif
@@ -2906,11 +2826,6 @@
   Void    setDepthToDisparityLUTs();
 
-#if HHI_CAM_PARA_K0052
   Int* getDepthToDisparityB( Int refViewIdx ) { return m_depthToDisparityB[ getVPS()->getVoiInVps( refViewIdx) ]; }; 
   Int* getDepthToDisparityF( Int refViewIdx ) { return m_depthToDisparityF[ getVPS()->getVoiInVps( refViewIdx) ]; }; 
-#else
-  Int* getDepthToDisparityB( Int refViewIdx ) { return m_depthToDisparityB[ refViewIdx ]; }; 
-  Int* getDepthToDisparityF( Int refViewIdx ) { return m_depthToDisparityF[ refViewIdx ]; }; 
-#endif
 #endif
 #if H_3D_IC
@@ -3015,5 +2930,4 @@
 #if H_3D
   // 3D-HEVC tool parameters
-#if HHI_INTER_COMP_PRED_K0052
   Void deriveInCmpPredAndCpAvailFlag()
   { 
@@ -3032,8 +2946,6 @@
     }
 
-#if HHI_CAM_PARA_K0052
     m_cpAvailableFlag = true;
     m_inCmpRefViewIdcs.clear();
-#endif
     Bool allRefCmpLayersAvailFlag = true;
 
@@ -3041,10 +2953,8 @@
     {      
       m_inCmpRefViewIdcs.push_back( getVPS()->getViewOrderIdx( curCmpLIds[ i ] ));
-#if HHI_CAM_PARA_K0052
       if( !getVPS()->getCpPresentFlag( getVPS()->getVoiInVps( getViewIndex() ),  getVPS()->getVoiInVps( m_inCmpRefViewIdcs[ i ] ) ) )
       {
         m_cpAvailableFlag = false;
       }
-#endif
       Bool refCmpCurLIdAvailFlag = false;
       if( getVPS()->getViewCompLayerPresentFlag( m_inCmpRefViewIdcs[ i ], !getIsDepth() ) )
@@ -3087,8 +2997,6 @@
   };
 
-#endif
 
   Void init3dToolParameters();   
-#if HHI_INTER_COMP_PRED_K0052
   Void checkInCompPredRefLayers()
   {
@@ -3105,5 +3013,4 @@
   };
 
-#endif
   Bool getIvMvPredFlag           ( ) { return m_ivMvPredFlag           ; };
   Bool getIvMvScalingFlag        ( ) { return m_ivMvScalingFlag        ; };
@@ -3117,9 +3024,5 @@
   Bool getQtPredFlag             ( ) { return m_qtPredFlag             ; };
   Bool getInterSdcFlag           ( ) { return m_interSdcFlag           ; };
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   Bool getDepthIntraSkipFlag     ( ) { return m_depthIntraSkipFlag     ; };
-#else
-  Bool getIntraSingleFlag        ( ) { return m_intraSingleFlag        ; };
-#endif
 
   Int  getMpiSubPbSize           ( ) { return m_mpiSubPbSize           ; }; 
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComWedgelet.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComWedgelet.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComWedgelet.cpp	(revision 1185)
@@ -177,5 +177,4 @@
 }
 
-#if SHARP_DMM_CLEAN_K0042
 Void TComWedgelet::generateWedgePatternByRotate(const TComWedgelet &rcWedge, Int rotate)
 {
@@ -210,5 +209,4 @@
   m_uiHeight = rcWedge.m_uiHeight;
 }
-#endif
 
 Void TComWedgelet::xGenerateWedgePattern()
@@ -228,5 +226,4 @@
   xDrawEdgeLine( uhXs, uhYs, uhXe, uhYe, pbTempPattern, iTempStride );
 
-#if SHARP_DMM_CLEAN_K0042
   Int shift = (m_eWedgeRes == HALF_PEL) ? 1 : 0;
   Int endPos = uhYe>>shift;
@@ -242,65 +239,4 @@
     m_pbPattern[k] = pbTempPattern[k];
   };
-#else
-  switch( m_uhOri )
-  {
-  case( 0 ): { for( UInt iX = 0;                 iX < uhXs;            iX++ ) { UInt iY = 0;                 while( pbTempPattern[(iY * iTempStride) + iX] == false ) { pbTempPattern[(iY * iTempStride) + iX] = true; iY++; } } } break;
-  case( 1 ): { for( UInt iY = 0;                 iY < uhYs;            iY++ ) { UInt iX = uiTempBlockSize-1; while( pbTempPattern[(iY * iTempStride) + iX] == false ) { pbTempPattern[(iY * iTempStride) + iX] = true; iX--; } } } break;
-  case( 2 ): { for( UInt iX = uiTempBlockSize-1; iX > uhXs;            iX-- ) { UInt iY = uiTempBlockSize-1; while( pbTempPattern[(iY * iTempStride) + iX] == false ) { pbTempPattern[(iY * iTempStride) + iX] = true; iY--; } } } break;
-  case( 3 ): { for( UInt iY = uiTempBlockSize-1; iY > uhYs;            iY-- ) { UInt iX = 0;                 while( pbTempPattern[(iY * iTempStride) + iX] == false ) { pbTempPattern[(iY * iTempStride) + iX] = true; iX++; } } } break;
-  case( 4 ): 
-    { 
-      if( (uhXs+uhXe) < uiTempBlockSize ) { for( UInt iY = 0; iY < uiTempBlockSize; iY++ ) { UInt iX = 0;                 while( pbTempPattern[(iY * iTempStride) + iX] == false ) { pbTempPattern[(iY * iTempStride) + iX] = true; iX++; } } }
-      else                                { for( UInt iY = 0; iY < uiTempBlockSize; iY++ ) { UInt iX = uiTempBlockSize-1; while( pbTempPattern[(iY * iTempStride) + iX] == false ) { pbTempPattern[(iY * iTempStride) + iX] = true; iX--; } } }
-    }
-    break;
-  case( 5 ): 
-    { 
-      if( (uhYs+uhYe) < uiTempBlockSize ) { for( UInt iX = 0; iX < uiTempBlockSize; iX++ ) { UInt iY = 0;                 while( pbTempPattern[(iY * iTempStride) + iX] == false ) { pbTempPattern[(iY * iTempStride) + iX] = true; iY++; } } }
-      else                                { for( UInt iX = 0; iX < uiTempBlockSize; iX++ ) { UInt iY = uiTempBlockSize-1; while( pbTempPattern[(iY * iTempStride) + iX] == false ) { pbTempPattern[(iY * iTempStride) + iX] = true; iY--; } } }
-    }
-  }
-
-  clear();
-  switch( m_eWedgeRes )
-  {
-  case(   FULL_PEL ): { for( UInt k = 0; k < (m_uiWidth * m_uiHeight); k++ ) { m_pbPattern[k] = pbTempPattern[k]; }; } break;
-  case(   HALF_PEL ): // sub-sampling by factor 2
-    {
-      Int iStride = getStride();
-
-      UInt uiOffX, uiOffY;
-      switch( m_uhOri )
-      {
-      case( 0 ): { uiOffX = 0; uiOffY = 0; } break;
-      case( 1 ): { uiOffX = 1; uiOffY = 0; } break;
-      case( 2 ): { uiOffX = 1; uiOffY = 1; } break;
-      case( 3 ): { uiOffX = 0; uiOffY = 1; } break;
-      case( 4 ): 
-        { 
-          if( (uhXs+uhXe) < uiTempBlockSize ) { uiOffX = 0; uiOffY = 0; }
-          else                                { uiOffX = 1; uiOffY = 0; }
-        } 
-        break;
-      case( 5 ): 
-        { 
-          if( (uhYs+uhYe) < uiTempBlockSize ) { uiOffX = 0; uiOffY = 0; }
-          else                                { uiOffX = 0; uiOffY = 1; }
-        } 
-        break;
-      default:   { uiOffX = 0; uiOffY = 0; } break;
-      }
-
-      for(Int iY = 0; iY < m_uiHeight; iY++)
-      {
-        for(Int iX = 0; iX < m_uiWidth; iX++)
-        {
-          m_pbPattern[(iY * iStride) + iX] = pbTempPattern[(((iY<<1)+uiOffY) * iTempStride) + ((iX<<1)+uiOffX)];
-        }
-      }
-    }
-    break;
-  }
-#endif
 
   if( pbTempPattern )
@@ -345,13 +281,8 @@
   for( Int x = x0; x <= x1; x++ )
   {
-#if SHARP_DMM_CLEAN_K0042
     Int shift = (m_eWedgeRes == HALF_PEL) ? 1 : 0;
     Int stride = iPatternStride >> shift;
     if( steep ) { pbPattern[((x>>shift) * stride) + (y>>shift)] = true; }
     else        { pbPattern[((y>>shift) * stride) + (x>>shift)] = true; }
-#else
-    if( steep ) { pbPattern[(x * iPatternStride) + y] = true; }
-    else        { pbPattern[(y * iPatternStride) + x] = true; }
-#endif
 
     error += deltaerr;
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComWedgelet.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComWedgelet.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComWedgelet.h	(revision 1185)
@@ -124,7 +124,5 @@
   Bool*           getScaledPattern(UInt uiWidth);
 
-#if SHARP_DMM_CLEAN_K0042
   Void  generateWedgePatternByRotate(const TComWedgelet &rcWedge, Int rotate);
-#endif
   Void  setWedgelet( UChar uhXs, UChar uhYs, UChar uhXe, UChar uhYe, UChar uhOri, WedgeResolution eWedgeRes, Bool bIsCoarse = false );
   Void  findClosestAngle();
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 1185)
@@ -65,15 +65,5 @@
 #define H_3D          ( HEVC_EXT == 2)
 
-#if H_MV
-#define SONY_MV_V_CONST_C0078            1   // Control disparity vector search range via configuration file
-#define H_MV_FIX_CONF_WINDOW             1   
-#endif
-
-#define NTT_BUG_FIX_TK54    1
-#define BUG_FIX_TK65        1
-
-#define MTK_I0093           1
-
-#define RWTH_DBBP_NO_SATD_K0028       1
+
 /////////////////////////////////////////////////////////////////////////////////////////
 ///////////////////////////////////   MAJOR DEFINES   ///////////////////////////////////  
@@ -85,11 +75,4 @@
 
 #if H_3D
-#define SEC_DEPTH_INTRA_SKIP_MODE_K0033   1   // Depth intra skip mode
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
-#define NEIGHBORING_PIX_AVAILABILITY_FIX  1
-#endif
-
-
 #define H_3D_QTLPC                        1   // OL_QTLIMIT_PREDCODING_B0068 //JCT3V-B0068
                                               // HHI_QTLPC_RAU_OFF_C0160 JCT3V-C0160 change 2: quadtree limitation and predictive coding switched off in random access units 
@@ -129,7 +112,6 @@
                                               // SHARP_ARP_CHROMA_I0104     
                                               // MTK_I0072_IVARP_SCALING_FIX
-#define SEC_ARP_VIEW_REF_CHECK_J0037      1   // Signaling iv_res_pred_weight_idx when the current slice has both view and temporal reference picture(s), JCT3V-J0037 item1
-
-#define SEC_ARP_REM_ENC_RESTRICT_K0035    1   // Removal of encoder restriction of ARP, JCT3V-K0035
+                                              // SEC_ARP_VIEW_REF_CHECK_J0037    Signaling iv_res_pred_weight_idx when the current slice has both view and temporal reference picture(s), JCT3V-J0037 item1
+                                              // SEC_ARP_REM_ENC_RESTRICT_K0035    Removal of encoder restriction of ARP, JCT3V-K0035
 
 #define H_3D_IC                           1   // Illumination Compensation, JCT3V-B0045, JCT3V-C0046, JCT3V-D0060
@@ -200,13 +182,11 @@
                                               // SEC_ADAPT_DISABLE_IVMP        Disabling IVMP merge candidates when IC is enabled, JCT3V-H0070
                                               // SEC_SIMP_SHIFTED_DV_I0086     Simplification of Shifted DV candidate, JCT3V-I0086
-
-#define SEC_SHIFTED_IVMC_POS_K0036        1   // Position Derivation for Shifted-IVMC, JCT3V-K0036
+                                              // SEC_SHIFTED_IVMC_POS_K0036    Position Derivation for Shifted-IVMC, JCT3V-K0036
 
 
 #define H_3D_TMVP                         1   // QC_TMVP_C0047 
                                               // Sony_M23639
-#if H_3D_TMVP
-#define H_3D_TMVP_SCALING_FIX_K0053       1   // QC/CY for K0053
-#endif
+                                              // H_3D_TMVP_SCALING_FIX_K0053       1   // QC/CY for K0053
+
 
 #define H_3D_DIM                          1   // DIM, Depth intra modes, includes:
@@ -249,5 +229,5 @@
                                               // MTK_DLT_CODING_FIX_H0091 
                                               // HS_DMM_SIGNALLING_I0120
-                                              // SHARP_DMM1_I0110 // LUT size reduction for DMM1 proposed in JCT3V-I0110 
+                                              // SHARP_DMM1_I0110 LUT size reduction for DMM1 proposed in JCT3V-I0110 
                                               // FAST_SDC_OFFSET_DECISION_I0084
                                               // SEPARATE_FLAG_I0085
@@ -256,12 +236,7 @@
                                               // MTK_DMM_SIM_J0035
                                               // MTK_J0033
-                                              // SHARP_DLT_SIMP_J0029              1   // DLT(DepthValue2Idx[]) table derivation cleanup
-
-#if !SEC_DEPTH_INTRA_SKIP_MODE_K0033
-#define H_3D_SINGLE_DEPTH                 1   // Single depth mode proposed in JCT3V-I0095
-                                              // HS_SP_SIMP_J0066
-                                              // SINGLE_DEPTH_SIMP_J0115           1 
-                                              // MTK_SINGLE_DEPTH_VPS_FLAG_J0060   1   // Add VPS control flags and remove slice header control flag for single depth, JCT3V-J0060
-#endif
+                                              // SHARP_DLT_SIMP_J0029 DLT(DepthValue2Idx[]) table derivation cleanup
+                                              // SHARP_DMM_CLEAN_K0042             1   // Generate DMM pattern with rotation 
+
 
 #define H_3D_INTER_SDC                    1   // INTER SDC, Inter simplified depth coding
@@ -269,5 +244,5 @@
                                               // SEC_INTER_SDC_G0101 Improved inter SDC with multiple DC candidates
 
-#define H_3D_SPIVMP                       1   // H_3D_SPIVMP    // JCT3V-F0110: Sub-PU level inter-view motion prediction
+#define H_3D_SPIVMP                       1   // H_3D_SPIVMP JCT3V-F0110: Sub-PU level inter-view motion prediction
                                               // SEC_SPIVMP_MCP_SIZE_G0077, Apply SPIVMP only to 2Nx2N partition, JCT3V-G0077
                                               // QC_SPIVMP_MPI_G0119 Sub-PU level MPI merge candidate
@@ -280,19 +255,20 @@
                                               // SEC_DBBP_FILTERING_H0104 
                                               // MTK_DBBP_SIGNALING_H0094    
-                                              // H_3D_FIX_DBBP_IVMP        Fix . Enable IVMP is always disabled, when DBBP is enabled. The original intention is to disable Sub-PU IVMP when DBBP is enabled, not to disable IVMP itself. 
-                                              // SEC_DBBP_EXPLICIT_SIG_I0077       1   // Remove the partition derivation and signal dbbp_flag only when the partition mode is 2NxN/Nx2N, JCT3V-I0077
+                                              // H_3D_FIX_DBBP_IVMP Fix . Enable IVMP is always disabled, when DBBP is enabled. The original intention is to disable Sub-PU IVMP when DBBP is enabled, not to disable IVMP itself. 
+                                              // SEC_DBBP_EXPLICIT_SIG_I0077 Remove the partition derivation and signal dbbp_flag only when the partition mode is 2NxN/Nx2N, JCT3V-I0077
                                               // Disallow DBBP in 8x8 CU, JCT3V-I0078
-                                              // SHARP_DBBP_SIMPLE_FLTER_I0109     1   // Simple condition and one dimensional filter for DBBP
-                                              // SEC_DBBP_DMM4_THRESHOLD_I0076     Simplification of threshold derivation for DBBP and DMM4, JCT3V-I0076
-                                              // SEC_DBBP_VIEW_REF_CHECK_J0037     1   // Signaling dbbp_flag when the current slice has view reference picture(s), JCT3V-J0037 item4
-#define HS_DBBP_CLEAN_K0048     1 
+                                              // SHARP_DBBP_SIMPLE_FLTER_I0109 Simple condition and one dimensional filter for DBBP
+                                              // SEC_DBBP_DMM4_THRESHOLD_I0076 Simplification of threshold derivation for DBBP and DMM4, JCT3V-I0076
+                                              // SEC_DBBP_VIEW_REF_CHECK_J0037 Signaling dbbp_flag when the current slice has view reference picture(s), JCT3V-J0037 item4
+                                              // RWTH_DBBP_NO_SATD_K0028
+                                              // HS_DBBP_CLEAN_K0048
 
 #define H_3D_DDD                          1   // Disparity derived depth coding
                                               // LGE_DDD_REMOVAL_J0042_J0030 DDD removal
 
+#define H_3D_DIS                          1   // Depth intra skip 
+                                              // SEC_DEPTH_INTRA_SKIP_MODE_K0033  Depth intra skip mode
+
 #define H_3D_FCO                          0   // Flexible coding order for 3D
-#if H_3D_FCO
-#define H_3D_FCO                          1
-#endif
 
 #define H_3D_FAST_INTRA_SDC               1   // I0123
@@ -300,16 +276,20 @@
 // OTHERS
                                               // MTK_SONY_PROGRESSIVE_MV_COMPRESSION_E0170 // Progressive MV Compression, JCT3V-E0170
-#define H_3D_REN_MAX_DEV_OUT              0   // Output maximal possible shift deviation 
+
 #define H_3D_FAST_TEXTURE_ENCODING        1   // Fast merge mode decision and early CU determination for texture component of dependent view, JCT3V-E0173
                                               // MTK_FAST_TEXTURE_ENCODING_E0173
 #if H_3D_DIM
-#define H_3D_FAST_DEPTH_INTRA             1   // Fast DMM and RBC Mode Selection
+#define H_3D_FAST_DEPTH_INTRA             1   // Fast DMM Selection
                                               // SCU_HS_FAST_DEPTH_INTRA_E0238_HHIFIX
 #endif
 
 //HLS
-//HHI_DEPENDENCY_SIGNALLING_I1_J0107
-//HHI_TOOL_PARAMETERS_I2_J0107
-//HHI_VPS_3D_EXTENSION_I3_J0107
+                                             // HHI_DEPENDENCY_SIGNALLING_I1_J0107
+                                             // HHI_TOOL_PARAMETERS_I2_J0107
+                                             // HHI_VPS_3D_EXTENSION_I3_J0107
+                                             // HHI_INTER_COMP_PRED_K0052
+                                             // HHI_RES_PRED_K0052       
+                                             // HHI_CAM_PARA_K0052       
+                                             // H_3D_DIRECT_DEP_TYPE     
 
 // Rate Control
@@ -319,36 +299,11 @@
 #endif // H_3D
 
-
-
 /////////////////////////////////////////////////////////////////////////////////////////
 ///////////////////////////////////   DERIVED DEFINES ///////////////////////////////////  
 /////////////////////////////////////////////////////////////////////////////////////////
 
-// Fixes
-
-#define FIX_TICKET_95                          1   // pps_scaling_list_ref_layer_id parsing
-
 #if H_3D
 #define H_3D_DISABLE_CHROMA                    1 
-#define HHI_VIEW_ID_LIST_I5_J0107              0
-#define HHI_INTER_COMP_PRED_K0052              1
-#define HHI_RES_PRED_K0052                     1
-#define HHI_CAM_PARA_K0052                     1
-#define HHI_MOVE_SYN_K0052                     1
-#define H_3D_ANNEX_SELECTION_FIX               1
-#define H_3D_TMVP_FIX_TICKET_97                1
-#define H_3D_DIRECT_DEP_TYPE                   1
-#define H_3D_FIX_TMVP_SCALING_VIEW_ID          1
-#endif
-#define H_MV_FIX_REF_LAYER_PIC_FLAG            1
-#define H_MV_FIX_NUM_VIEWS                     1
 #define H_3D_OUTPUT_ACTIVE_TOOLS               0
-
-#if !SEC_DEPTH_INTRA_SKIP_MODE_K0033
-///// ***** SINGLE DEPTH MODE *********
-#if H_3D_SINGLE_DEPTH
-#define SINGLE_DEPTH_MODE_CAND_LIST_SIZE            2 // size of the sample candidate list
-
-#endif
 #endif
 
@@ -384,8 +339,4 @@
                                               // HHI_DEPTH_INTRA_SEARCH_RAU_C0160
                                               // LG_ZEROINTRADEPTHRESI_A0087
-#define SHARP_DMM_CLEAN_K0042             1   // Generate DMM pattern with rotation 
-
-#define TICKET083_IVPFLAG_FIX             1
-#define SHARP_SUBBLOCK_CLEAN_K0044        1   // Remove unused bipred restriction
 
 #endif
@@ -434,8 +385,7 @@
 // TBD: Check if integration is necessary. 
 
-#define H_MV_HLS_FIX                         1
+
 #define H_MV_HLS_PTL_LIMITS                  0
 #define H_MV_HLS7_GEN                        0  // General changes (not tested)
-#define H_MV_ALIGN_HM_15                     1  
 
 // POC
